Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class MediaEQSpectrumBands

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.movies.media.MediaEQSpectrumBands

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class MediaEQSpectrumBands
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, quicktime.jdirect.InterfaceLib

This represents the Equalizer Spectrum of Bands. It contains the count of the bands and the frequencies of each band. To retrieve these values you need to pass in the expected count of bands. The value returned would be the actual count of the bands and the count frequencies array which you passed in.

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.InterfaceLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`MediaEQSpectrumBands(int count)`

Method Summary
`short` | `getCount()`
`float` | `getFrequency(int whichBand)`
`void` | `setFrequency(int whichBand, float freq)`
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MediaEQSpectrumBands

    public MediaEQSpectrumBands(int count)

  Parameters:
    `count` - the count of bands

Method Detail

### getCount

    public short getCount()

  Returns:
    the count of bands

### getFrequency

    public float getFrequency(int whichBand)

  Parameters:
    `whichBand` - the band to query.
  Returns:
    the frequency at specified band

### setFrequency

    public void setFrequency(int whichBand,
                             float freq)

  Parameters:
    `whichBand` - the band to set.
    `freq` - the frequency at specified band

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String represenation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD